Please add Provides: gnome-www-browser

Bug #1815289 reported by Jeremy Bicha on 2019-02-09
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
Low
Olivier Tilloy
Eoan
Low
Olivier Tilloy
Focal
Low
Olivier Tilloy

Bug Description

[Impact]

Low. Some Debian packages depend on gnome-www-browser, and chromium-browser should be marked as providing it (similarly, it should provide x-www-browser).

For instance, cinnamon-desktop-environment depends on gnome-www-browser and it doesn't have the chromium-browser name in the alternates (it has Debian's chromium name instead).

[Test case]

The output of `apt-cache showpkg gnome-www-browser` after the "Reverse Provides:" line should contain a chromium-browser entry.
Similarly for `apt-cache showpkg x-www-browser`.

[Regression potential]

This is adding a couple of "provides" entries to the control file. Regressions could happen if other packages depending on or recommending gnome-www-browser (or x-www-browser) were implicitly relying on the fact that chromium-browser wasn't a candidate, but that sounds unlikely, and in any case something that should be fixed in thoses packages.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in chromium-browser (Ubuntu):
status: New → Confirmed
Olivier Tilloy (osomon) wrote :

Also related (and should probably be fixed together with): bug #1870640.

Olivier Tilloy (osomon) wrote :
Changed in chromium-browser (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → Olivier Tilloy (osomon)
Changed in chromium-browser (Ubuntu Eoan):
assignee: nobody → Olivier Tilloy (osomon)
Changed in chromium-browser (Ubuntu Focal):
assignee: nobody → Olivier Tilloy (osomon)
Changed in chromium-browser (Ubuntu Eoan):
importance: Undecided → Low
Changed in chromium-browser (Ubuntu Focal):
importance: Undecided → Low
Changed in chromium-browser (Ubuntu Eoan):
status: New → Confirmed
Changed in chromium-browser (Ubuntu Focal):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 81.0.4044.129-0ubuntu1

---------------
chromium-browser (81.0.4044.129-0ubuntu1) groovy; urgency=medium

  * New upstream release: 81.0.4044.129
  * debian/control:
    - update Vcs-Bzr URL to point to the branch for 20.10
      (codename the Groovy Gorilla)
    - add x-www-browser and gnome-www-browser to the Provides section
      (LP: #1815289)
  * debian/chromium-browser.postinst: install /usr/bin/chromium-browser as an
    alternative for x-www-browser and gnome-www-browser (LP: #1870640)

 -- Olivier Tilloy <email address hidden> Thu, 30 Apr 2020 14:48:00 +0200

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Fix Released
Olivier Tilloy (osomon) on 2020-05-05
description: updated
Changed in chromium-browser (Ubuntu Eoan):
status: Confirmed → In Progress
Changed in chromium-browser (Ubuntu Focal):
status: Confirmed → In Progress

Hello Jeremy, or anyone else affected,

Accepted chromium-browser into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chromium-browser/81.0.4044.129-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in chromium-browser (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal

All autopkgtests for the newly accepted chromium-browser (81.0.4044.129-0ubuntu0.20.04.1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

libwwwbrowser-perl/2.23-3 (ppc64el)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#chromium-browser

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Olivier Tilloy (osomon) wrote :

Confirmed fixed with chromium-browser 81.0.4044.129-0ubuntu0.20.04.1 from focal-proposed.

I verified chromium-browser didn't appear in the list of reverse provides for x-www-browser and gnome-www-browser in a fully up-to-date focal VM, then I enabled focal-proposed for universe, ran "apt update", and verified that it did appear for both.

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 81.0.4044.129-0ubuntu0.20.04.1

---------------
chromium-browser (81.0.4044.129-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release: 81.0.4044.129
  * debian/control: add x-www-browser and gnome-www-browser to the Provides
    section (LP: #1815289)
  * debian/chromium-browser.postinst: install /usr/bin/chromium-browser as an
    alternative for x-www-browser and gnome-www-browser (LP: #1870640)

 -- Olivier Tilloy <email address hidden> Thu, 30 Apr 2020 16:30:05 +0200

Changed in chromium-browser (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for chromium-browser has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Jeremy, or anyone else affected,

Accepted chromium-browser into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chromium-browser/81.0.4044.129-0ubuntu0.19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in chromium-browser (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed-eoan
Olivier Tilloy (osomon) wrote :

Confirmed fixed with chromium-browser 81.0.4044.129-0ubuntu0.19.10.1 from eoan-proposed.

I verified chromium-browser didn't appear in the list of reverse provides for x-www-browser and gnome-www-browser in a fully up-to-date eoan VM, then I enabled eoan-proposed for universe, ran "apt update", and verified that it did appear for both.

tags: added: verification-done-eoan
removed: verification-needed-eoan
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 81.0.4044.129-0ubuntu0.19.10.1

---------------
chromium-browser (81.0.4044.129-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release: 81.0.4044.129
  * debian/control: add x-www-browser and gnome-www-browser to the Provides
    section (LP: #1815289)
  * debian/chromium-browser.postinst: install /usr/bin/chromium-browser as an
    alternative for x-www-browser and gnome-www-browser (LP: #1870640)

 -- Olivier Tilloy <email address hidden> Thu, 30 Apr 2020 16:34:30 +0200

Changed in chromium-browser (Ubuntu Eoan):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers